CONTAINER_OF(9)

NAME
container_of - cast a member of a structure out to the containing structure

SYNOPSIS

container_of (ptr, type, member);

ARGUMENTS

ptr the pointer to the member.

type
    the type of the container struct this is embedded in.

member
    the name of the member within the struct.